Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.contact
Class CorrelationMtxFitting

    java.lang.Object
      umontreal.iro.lecuyer.contactcenters.contact.CorrelationMtxFitting

    public class CorrelationMtxFitting

extends Object

Fits the parametric model for the correlation matrix using method of least squares. Two models are implemented: (i) general linear model rj = abj + c, (ii) single rho Markov model rj = bj. Method `fitMarkovGeneralLinear()` implements fitting of model (i), method `fitMarkovSingleRho()` implements fitting of model (ii). The optimization of parameter b is performed using exhaustive grid search with step `step` in the range [-1+`delta`, 1-`delta`]. For model (i) parameters a and c have closed form expressions in terms of the entries of correlation matrix and parameter b.

Author:
  Boris N. Oreshkin

Constructor Summary
`CorrelationMtxFitting(double[] CorrVector)`
`CorrelationMtxFitting(double[] CorrVector, double tol)`

Method Summary
`double[]` | `fitMarkovGeneralLinear()` Fits general linear model rj = abj + c.
`double` | `fitMarkovSingleRho()` Fits the Markov model with single correlation coefficient of the form ρj = bj.
`void` | `setDelta(double delta)` Sets the limits in which exhaustive grid search for the optimization of parameter b is performed.
`void` | `setStep(double step)` Sets the exhaustive grid search grid size for the optimization of parameter b.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CorrelationMtxFitting

    public CorrelationMtxFitting(double[] CorrVector)

### CorrelationMtxFitting

    public CorrelationMtxFitting(double[] CorrVector,
                                 double tol)

Method Detail

### setDelta

    public void setDelta(double delta)

  Sets the limits in which exhaustive grid search for the optimization of parameter b is performed. The search is performed in the interval [-1+`delta`, 1-`delta`].

  Parameters:
    `delta` - Exhaustive grid search boundary offset

### setStep

    public void setStep(double step)

  Sets the exhaustive grid search grid size for the optimization of parameter b.

  Parameters:
    `step` - Exhaustive grid search grid size

### fitMarkovGeneralLinear

    public double[] fitMarkovGeneralLinear()

  Fits general linear model rj = abj + c. Returns vector of length 3 with parameters a, b and c.

  Returns:
    vector of [a, b and c].

### fitMarkovSingleRho

    public double fitMarkovSingleRho()

  Fits the Markov model with single correlation coefficient of the form ρj = bj.

  Returns:
    parameter b.

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.